# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl Authen-SPNEGO-GSSAPI.t'

#########################

# change 'tests => 1' to 'tests => last_test_to_print';

use Test::More tests => 4;
BEGIN { use_ok('Authen::SPNEGO::GSSAPI', qw(:all)) };

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.

ok('a' eq 'a', 'one');
ok( test_import() ==  GSS_S_COMPLETE, 'gss_import_name' );
ok( test_inisec_fail() !=  GSS_S_COMPLETE, 'test_inisec_fail' );



#-----------------------------------------------------
sub test_import {
    my ($majorstate, $minorstate, $gss_servername ) = gss_import_name( 'HTTP/moerbsen.grolmsnet.lan' );
    return $majorstate;
}
#-----------------------------------------------------
sub test_inisec_fail {
    my $nocontext = GSS_C_NO_CONTEXT;

    my $s = 'HTTP/moerbsen.grolmsnet.lanasasasas';
    my ($majorstate, $minorstate, $gss_servername ) = gss_import_name( $s );
    unless ($majorstate) {
       ($majorstate, $minorstate, my $sec_context, my $output_token ) = Authen::SPNEGO::GSSAPI::achim_gss_init_sec_context($gss_servername, $nocontext);
    }
    return $majorstate;

}

#-----------------------------------------------------



