#! /usr/bin/perl -w

use strict;

use ExtUtils::testlib;

use MIME::Base64;

use Authen::SPNEGO::GSSAPI::SecurityContext;

eval {
   my $sec_context = Authen::SPNEGO::GSSAPI::SecurityContext->new(
                   { PRINCIPAL => 'HTTP/moerbsen.grolmsnet.lan' } );
   print "\n Time To live (TLL) of context: ",
          $sec_context->actual_ttl_secs();
   print "\n\n";
   *HAND = $sec_context->token_read_handle();

   my $temp = $/;
   local($/) = undef;  # slurp
   print encode_base64(<HAND>);
   close HAND;
};
if ($@) {
   print "\n Oh my good, runtimeerror!!!1111!\n\n", $@;
   exit;
}


1;